Bug 828896 - mod_authnz_ldap unable to set environment variables for authorize only
mod_authnz_ldap unable to set environment variables for authorize only
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: httpd (Show other bugs)
6.2
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Jan Kaluža
Zbysek MRAZ
: FutureFeature
Depends On:
Blocks: 1038276
  Show dependency treegraph
 
Reported: 2012-06-05 10:46 EDT by Marcus Sundberg
Modified: 2013-12-04 14:14 EST (History)
3 users (show)

See Also:
Fixed In Version: httpd-2.2.15-17.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1038276 (view as bug list)
Environment:
Last Closed: 2013-02-21 05:17:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add setting of AUTHORIZE_* CGI vars to mod_authnz_ldap (5.65 KB, patch)
2012-06-05 10:46 EDT, Marcus Sundberg
no flags Details | Diff

  None (edit)
Description Marcus Sundberg 2012-06-05 10:46:23 EDT
Created attachment 589543 [details]
Patch to add setting of AUTHORIZE_* CGI vars to mod_authnz_ldap

Description of problem:
mod_authnz_ldap has the ability to set environment variables
from received LDAP attributes. Unfortunately these can only
be set by LDAP authentication, not by LDAP authorization.

This is very unfortunate when integrating Apache with for example
Active Directory, or any other directory server using Kerberos,
because you want to use the HTTP Negotiate authentication to get
single sign on, but still use LDAP for authorization and user
information.

Version-Release number of selected component (if applicable):
httpd-2.2.15-15.el6

How reproducible:
Always

Steps to Reproduce:
1. Setup httpd with Kerberos (or any other non-LDAP) authentication and LDAP authorization.
2. Use a AuthLDAPURL parameter requesting multiple LDAP attributes.

Actual results:
No environment variables are set for configured LDAP attributes.

Expected results:
Environment variables are set for all configured LDAP attributes.

Additional info:
This feature has already been implemented upstream in httpd 2.4 and later:
http://svn.apache.org/viewvc/httpd/httpd/trunk/modules/aaa/mod_authnz_ldap.c?r1=949335&r2=949336
http://svn.apache.org/viewvc/httpd/httpd/trunk/modules/aaa/mod_authnz_ldap.c?r1=949672&r2=949673
but unfortunately not for the 2.2 branch.

The attached patch implements setting of AUTHORIZE_* environment variables
for httpd 2.2.15
Comment 2 Joe Orton 2012-06-08 08:01:01 EDT
I don't see a problem with adding this - thanks for doing the backport, Marcus.
Comment 3 RHEL Product and Program Management 2012-07-10 04:31:06 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 RHEL Product and Program Management 2012-07-10 19:23:20 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 9 errata-xmlrpc 2013-02-21 05:17:14 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0512.html

Note You need to log in before you can comment on or make changes to this bug.